<?php
  switch($Etape)
  {
    case 0:
      echo "<form name='info'>";
      echo "<TABLE border=1><TR><TH>Date</TH><TD>".Cree_Entree_Type("intervalle",2,0,"",RECHERCHE)."</TD></TR></TABLE>";
      echo "<input type='hidden' name='Type' value=$Type>";
      echo "<input type='hidden' name='Sous_Type' value=$Sous_Type>";
      echo "<input type='hidden' name='Etape' value='1'>";
      echo "<script language=JavaScript>\n";
      echo "force_submit=true;\n";
      echo "this.document.forms['info'].elements[0].focus();\n";
      echo "</script>\n";
      echo "<button type='button' onClick='submit_ok(this.form);'>Rechercher</button>";
      echo "</form>";
    break;
    case 1:
      $requette="SELECT * FROM commande".ID_GARAGE." WHERE ".Requette_Recherche("DateCommande",18,$intervalle)." AND Type='FO' ORDER BY DateCommande";
      $resultat=Connection::executeRawQueryWithfetchAll($requette);
      echo "<TABLE border=1 class=\"tb-rapport\">";
      echo "<TR><TH>No Chassis</TH><TH>Marque model</TH><TH>Prix achat</TH><TH>Reprenneur</TH><TH>Client reprise</TH><TH>Prix vente</TH><TH>Vendeur</TH><TH>Client vente</TH><TH>Factures internes</TH><TH>Total factures internes</TH><TH>Garanties garage</TH><TH>Total garanties garage</TH><TH>Différence</TH></TR>";
	  foreach ($resultat as $ligne)
	  {
	    $found = false;
		$step = "pas de reprise associée";
		if ($ligne2=Commande::getCommandeByNoCommande($ligne["NoCommandeAssocie"]))
		{
		  $step = "manque article VHCO";
		  if ($ligne3=CommandeArticle::getCommandeArticleByNoCommandeAndNoArticle($ligne["NoCommande"], 'VHCO'))
		  {
		    $step = "manque article ACHO";
		    if ($ligne4=CommandeArticle::getCommandeArticleByNoCommandeAndNoArticle($ligne2["NoCommande"], 'ACHO'))
		    {
			  $step = "manque vendeur";
			  $prix_achat=$ligne4["PrixMulti"];
			  $prix_vente=$ligne3["PrixMulti"];
			  $montant_factures_internes = 0;
			  $liste_factures_internes = "";
			  $montant_garanties_garage = 0;
			  $liste_garanties_garage = "";
		      $requette5="SELECT * FROM commande".ID_GARAGE." WHERE Type='FI' AND Vehicule='".$ligne["Vehicule"]."' AND DateCommande>='".$ligne2["DateCommande"]."' AND DateCommande<= ADDDATE('".$ligne["DateCommande"]."', INTERVAL 3 MONTH)";
		      $resultat5=Connection::executeRawQueryWithfetchAll($requette5);
		      foreach ($resultat5 as $ligne5)
			  {
			    $montant_factures_internes += $ligne5["MontantTotal"];
				$liste_factures_internes .= "<a href=\"default.php?NoCommande=".$ligne5["NoCommande"]."&Type=4&Sous_Type=1&Etape=3&NoVisu=0\" target=\"_blank\" rel='opener'>".$ligne5["NoCommande"]."(".$ligne5["MontantTotal"].")</a> ";
			  }
		      $requette5="SELECT * FROM commande".ID_GARAGE." WHERE Type='GG' AND Vehicule='".$ligne["Vehicule"]."' AND DateCommande>='".$ligne["DateCommande"]."' AND DateCommande<= ADDDATE('".$ligne["DateCommande"]."', INTERVAL 6 MONTH)";
		      $resultat5=Connection::executeRawQueryWithfetchAll($requette5);
		      foreach ($resultat5 as $ligne5)
			  {
			    $montant_garanties_garage += $ligne5["MontantTotal"];
				$liste_garanties_garage .= "<a href=\"default.php?NoCommande=".$ligne5["NoCommande"]."&Type=4&Sous_Type=1&Etape=3&NoVisu=0\" target=\"_blank\" rel='opener'>".$ligne5["NoCommande"]."(".$ligne5["MontantTotal"].")</a> ";
			  }
			  $difference = $prix_vente - $prix_achat - $montant_factures_internes - $montant_garanties_garage;
			  if ($ligne5 = Client::getClientByNoClient($ligne["Vendeur"]))
			  {
				$step = "manque vehicule dans vente";
			    if ($ligne7 = Vehicule::getVehiculeByNoChassis($ligne["Vehicule"]))
				{
				  $step = "manque client dans reprise";
			      if ($ligne8 = Client::getClientByNoClient($ligne2["NoClient"]))
			      {
					$step = "manque client dans vente";
			        if ($ligne9 = Client::getClientByNoClient($ligne["NoClient"]))
			        {
					  $found = true;
			          if ($ligne6 = Client::getClientByNoClient($ligne2["Vendeur"]))
			          {
			            echo "<TR><TD><a href=\"default.php?NoChasis=".$ligne["Vehicule"]."&Type=2&Sous_Type=1&Etape=2&NoVisu=0\" target=\"_blank\" rel='opener'>".$ligne["Vehicule"]."</a></TD><TD>".$ligne7["MarqueModel"]." ".$ligne7["Model"]."</TD><TD><a href=\"default.php?NoCommande=".$ligne2["NoCommande"]."&Type=4&Sous_Type=1&Etape=3&NoVisu=0\" target=\"_blank\" rel='opener'>".$prix_achat."</a></TD><TD>".$ligne6["Prenom"]." ".$ligne6["Nom"]."</TD><TD>".$ligne8["Prenom"]." ".$ligne8["Nom"]."</TD><TD><a href=\"default.php?NoCommande=".$ligne["NoCommande"]."&Type=4&Sous_Type=1&Etape=3&NoVisu=0\" target=\"_blank\" rel='opener'>".$prix_vente."</a></TD><TD>".$ligne5["Prenom"]." ".$ligne5["Nom"]."</TD><TD>".$ligne9["Prenom"]." ".$ligne9["Nom"]."</TD><TD>".$liste_factures_internes."</TD><TD>".$montant_factures_internes."</TD><TD>$liste_garanties_garage</TD><TD>$montant_garanties_garage</TD><TD>$difference</TD></TR>";
				      }
					  else
					  {
			            echo "<TR><TD><a href=\"default.php?NoChasis=".$ligne["Vehicule"]."&Type=2&Sous_Type=1&Etape=2&NoVisu=0\" target=\"_blank\" rel='opener'>".$ligne["Vehicule"]."</a></TD><TD>".$ligne7["MarqueModel"]." ".$ligne7["Model"]."</TD><TD><a href=\"default.php?NoCommande=".$ligne2["NoCommande"]."&Type=4&Sous_Type=1&Etape=3&NoVisu=0\" target=\"_blank\" rel='opener'>".$prix_achat."</a></TD><TD>?</TD><TD>".$ligne8["Prenom"]." ".$ligne8["Nom"]."</TD><TD><a href=\"default.php?NoCommande=".$ligne["NoCommande"]."&Type=4&Sous_Type=1&Etape=3&NoVisu=0\" target=\"_blank\" rel='opener'>".$prix_vente."</a></TD><TD>".$ligne5["Prenom"]." ".$ligne5["Nom"]."</TD><TD>".$ligne9["Prenom"]." ".$ligne9["Nom"]."</TD><TD>".$liste_factures_internes."</TD><TD>".$montant_factures_internes."</TD><TD>$liste_garanties_garage</TD><TD>$montant_garanties_garage</TD><TD>$difference</TD></TR>";
					  }
					}
				  }
				}
			  }
		    }
		  }
		}
		if (!$found)
		{
		  echo "<TR><TH>Erreur : $step ".$ligne["Vehicule"]." ".$ligne["NoCommande"]."</TH></TD>";
		}
	  }
	  echo "</TABLE>";
    break;
  }
?>
